# class RDoc::PuppetResource

PuppetResource holds a puppet resource It is mapped to a HTMLPuppetResource for display A resource is defined by its "normal" form Type

### Attributes

params[RW]
title[RW]
type[RW]

### Public Class Methods

new(type, title, comment, params) click to toggle source
Calls superclass method

    # File lib/puppet/util/rdoc/code_objects.rb, line 254
    def initialize(type, title, comment, params)
      super()
      @type = type
      @title = title
      @comment = comment
      @params = params
    end

### Public Instance Methods

<=>(other) click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 262
    def <=>(other)
      full_name <=> other.full_name
    end

full_name() click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 266
    def full_name
      @type + "[#{@title}]"
    end

name() click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 270
    def name
      full_name
    end

to_s() click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 274
    def to_s
      res = @type + "[#{@title}]\n"
      res << @comment.to_s
      res
    end